with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGTSpanElement_Interface is

   procedure Initialize (This : in out ISVGTSpanElement_Type) is
   begin
      Set_IID (This, IID_ISVGTSpanElement);
   end Initialize;

   function Pointer (This : ISVGTSpanElement_Type)
     return Pointer_To_ISVGTSpanElement
   is
   begin
      return To_Pointer_To_ISVGTSpanElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGTSpanElement_Type;
                     Pointer : in     Pointer_To_ISVGTSpanElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGTSpanElement_Interface;

